Get product catalog

Retrieves the complete product catalog including all purchasable items, offer chains, and non-purchasable display items organized in rows.

GET
/api/v1/catalog
stash-hmac-signature<token>

HMAC signature generated by signing the request body with the Egress API key from Stash Studio. Used for secure server-to-server communication between game backends and Stash services.

In: header

Query Parameters

platform?string

Optional platform filter to get platform-specific catalog items

  • CATALOG_PLATFORM_UNSPECIFIED: Default unknown platform
Value in"CATALOG_PLATFORM_UNSPECIFIED" | "CATALOG_PLATFORM_IOS" | "CATALOG_PLATFORM_ANDROID" | "CATALOG_PLATFORM_WEBSTORE"
region?string

Optional region filter using ISO-3166-1 alpha-2 country code (e.g., 'US', 'EU', 'JP')

language?string

Optional language code filter using ISO 639-1 code (e.g., 'en', 'es', 'fr', 'de')

playerId?string

Optional player ID filter to get player-specific catalog items

environment?string

Payment environment for the request

Value in"PAYMENT_ENVIRONMENT_UNSPECIFIED" | "PAYMENT_ENVIRONMENT_TEST" | "PAYMENT_ENVIRONMENT_PRODUCTION"

Response Body

curl -X GET "https://loading/api/v1/catalog?platform=CATALOG_PLATFORM_UNSPECIFIED&region=string&language=string&playerId=string&environment=PAYMENT_ENVIRONMENT_UNSPECIFIED"
{
  "catalog": {
    "sections": [
      {
        "header": {
          "defaultText": "string",
          "localizationKey": "string",
          "localizedText": "string"
        },
        "items": [
          {
            "product": {
              "guid": "string",
              "productId": "string",
              "type": "PURCHASABLE_ITEM_TYPE_UNSPECIFIED",
              "name": {
                "defaultText": "string",
                "localizationKey": "string",
                "localizedText": "string"
              },
              "description": {
                "defaultText": "string",
                "localizationKey": "string",
                "localizedText": "string"
              },
              "image": "string",
              "maxPurchasable": 0,
              "maxPurchasableDescription": {
                "defaultText": "string",
                "localizationKey": "string",
                "localizedText": "string"
              },
              "price": {
                "amount": {
                  "currency": "string",
                  "cents": 0
                },
                "priceId": "string"
              },
              "expiration": "2019-08-24T14:15:22Z",
              "metadata": {
                "property1": "string",
                "property2": "string"
              },
              "attributes": {
                "banner": {
                  "text": {
                    "defaultText": "string",
                    "localizationKey": "string",
                    "localizedText": "string"
                  }
                },
                "badge": {
                  "text": {
                    "defaultText": "string",
                    "localizationKey": "string",
                    "localizedText": "string"
                  },
                  "action": "BADGE_ACTION_UNSPECIFIED",
                  "strikethroughText": {
                    "defaultText": "string",
                    "localizationKey": "string",
                    "localizedText": "string"
                  }
                },
                "background": {
                  "imageUrl": "string",
                  "backgroundStyle": "string"
                },
                "tooltip": {
                  "text": {
                    "defaultText": "string",
                    "localizationKey": "string",
                    "localizedText": "string"
                  }
                },
                "buyButton": {
                  "text": {
                    "defaultText": "string",
                    "localizationKey": "string",
                    "localizedText": "string"
                  },
                  "iconImageUrl": "string",
                  "backgroundStyle": "string",
                  "tooltip": {
                    "text": {
                      "defaultText": "string",
                      "localizationKey": "string",
                      "localizedText": "string"
                    }
                  }
                }
              },
              "contents": [
                {
                  "guid": "string",
                  "type": "CONTENT_ITEM_TYPE_UNSPECIFIED",
                  "name": {
                    "defaultText": "string",
                    "localizationKey": "string",
                    "localizedText": "string"
                  },
                  "description": {
                    "defaultText": "string",
                    "localizationKey": "string",
                    "localizedText": "string"
                  },
                  "image": "string",
                  "quantity": "string",
                  "bonusQuantity": 0,
                  "unitImage": "string",
                  "infoButton": {
                    "text": {
                      "defaultText": "string",
                      "localizationKey": "string",
                      "localizedText": "string"
                    },
                    "iconImageUrl": "string",
                    "backgroundStyle": "string",
                    "tooltip": {
                      "text": {
                        "defaultText": "string",
                        "localizationKey": "string",
                        "localizedText": "string"
                      }
                    }
                  },
                  "callout": {
                    "text": {
                      "defaultText": "string",
                      "localizationKey": "string",
                      "localizedText": "string"
                    },
                    "iconImageUrl": "string"
                  },
                  "primaryBackground": {
                    "imageUrl": "string",
                    "backgroundStyle": "string"
                  },
                  "secondaryBackground": {
                    "imageUrl": "string",
                    "backgroundStyle": "string"
                  },
                  "specialIndicator": {
                    "iconImageUrl": "string",
                    "tooltip": {
                      "text": {
                        "defaultText": "string",
                        "localizationKey": "string",
                        "localizedText": "string"
                      }
                    }
                  },
                  "rewardBuff": {
                    "percentage": 0.1,
                    "type": "REWARD_BUFF_TYPE_UNSPECIFIED",
                    "iconImageUrl": "string",
                    "backgroundStyle": "string",
                    "displayPercentage": "string"
                  },
                  "featured": true,
                  "clickAction": "CONTENT_ITEM_CLICK_ACTION_UNSPECIFIED",
                  "badge": {
                    "text": {
                      "defaultText": "string",
                      "localizationKey": "string",
                      "localizedText": "string"
                    }
                  }
                }
              ]
            },
            "chain": {
              "guid": "string",
              "name": {
                "defaultText": "string",
                "localizationKey": "string",
                "localizedText": "string"
              },
              "description": {
                "defaultText": "string",
                "localizationKey": "string",
                "localizedText": "string"
              },
              "expiration": "2019-08-24T14:15:22Z",
              "repeatable": true,
              "links": [
                {
                  "guid": "string",
                  "productId": "string",
                  "price": {
                    "amount": {
                      "currency": "string",
                      "cents": 0
                    },
                    "priceId": "string"
                  },
                  "maxPurchasable": 0,
                  "items": [
                    {
                      "guid": "string",
                      "name": {
                        "defaultText": "string",
                        "localizationKey": "string",
                        "localizedText": "string"
                      },
                      "description": {
                        "defaultText": "string",
                        "localizationKey": "string",
                        "localizedText": "string"
                      },
                      "image": "string",
                      "quantity": "string",
                      "unitImage": "string"
                    }
                  ],
                  "status": "CHAIN_LINK_STATUS_UNSPECIFIED",
                  "bundleImage": "string"
                }
              ],
              "banner": {
                "background": {
                  "imageUrl": "string",
                  "backgroundStyle": "string"
                },
                "revealButton": {
                  "text": {
                    "defaultText": "string",
                    "localizationKey": "string",
                    "localizedText": "string"
                  },
                  "iconImageUrl": "string",
                  "backgroundStyle": "string",
                  "tooltip": {
                    "text": {
                      "defaultText": "string",
                      "localizationKey": "string",
                      "localizedText": "string"
                    }
                  }
                },
                "leftDecal": {
                  "imageUrl": "string"
                },
                "rightDecal": {
                  "imageUrl": "string"
                }
              }
            },
            "info": {
              "guid": "string",
              "itemId": "string",
              "type": "NON_PURCHASABLE_ITEM_TYPE_UNSPECIFIED",
              "title": {
                "defaultText": "string",
                "localizationKey": "string",
                "localizedText": "string"
              },
              "body": {
                "defaultText": "string",
                "localizationKey": "string",
                "localizedText": "string"
              },
              "attributes": {
                "background": {
                  "imageUrl": "string",
                  "backgroundStyle": "string"
                }
              },
              "contents": [
                {
                  "guid": "string",
                  "name": {
                    "defaultText": "string",
                    "localizationKey": "string",
                    "localizedText": "string"
                  },
                  "description": {
                    "defaultText": "string",
                    "localizationKey": "string",
                    "localizedText": "string"
                  },
                  "image": "string",
                  "quantity": "string",
                  "unitImage": "string"
                }
              ]
            }
          }
        ],
        "displayType": "CATALOG_SECTION_DISPLAY_TYPE_UNSPECIFIED",
        "groups": [
          {
            "header": {
              "defaultText": "string",
              "localizationKey": "string",
              "localizedText": "string"
            },
            "items": [
              {
                "product": {
                  "guid": "string",
                  "productId": "string",
                  "type": "PURCHASABLE_ITEM_TYPE_UNSPECIFIED",
                  "name": {
                    "defaultText": "string",
                    "localizationKey": "string",
                    "localizedText": "string"
                  },
                  "description": {
                    "defaultText": "string",
                    "localizationKey": "string",
                    "localizedText": "string"
                  },
                  "image": "string",
                  "maxPurchasable": 0,
                  "maxPurchasableDescription": {
                    "defaultText": "string",
                    "localizationKey": "string",
                    "localizedText": "string"
                  },
                  "price": {
                    "amount": {
                      "currency": "string",
                      "cents": 0
                    },
                    "priceId": "string"
                  },
                  "expiration": "2019-08-24T14:15:22Z",
                  "metadata": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "attributes": {
                    "banner": {
                      "text": {
                        "defaultText": "string",
                        "localizationKey": "string",
                        "localizedText": "string"
                      }
                    },
                    "badge": {
                      "text": {
                        "defaultText": "string",
                        "localizationKey": "string",
                        "localizedText": "string"
                      },
                      "action": "BADGE_ACTION_UNSPECIFIED",
                      "strikethroughText": {
                        "defaultText": "string",
                        "localizationKey": "string",
                        "localizedText": "string"
                      }
                    },
                    "background": {
                      "imageUrl": "string",
                      "backgroundStyle": "string"
                    },
                    "tooltip": {
                      "text": {
                        "defaultText": "string",
                        "localizationKey": "string",
                        "localizedText": "string"
                      }
                    },
                    "buyButton": {
                      "text": {
                        "defaultText": "string",
                        "localizationKey": "string",
                        "localizedText": "string"
                      },
                      "iconImageUrl": "string",
                      "backgroundStyle": "string",
                      "tooltip": {
                        "text": {
                          "defaultText": "string",
                          "localizationKey": "string",
                          "localizedText": "string"
                        }
                      }
                    }
                  },
                  "contents": [
                    {
                      "guid": "string",
                      "type": "CONTENT_ITEM_TYPE_UNSPECIFIED",
                      "name": {
                        "defaultText": "string",
                        "localizationKey": "string",
                        "localizedText": "string"
                      },
                      "description": {
                        "defaultText": "string",
                        "localizationKey": "string",
                        "localizedText": "string"
                      },
                      "image": "string",
                      "quantity": "string",
                      "bonusQuantity": 0,
                      "unitImage": "string",
                      "infoButton": {
                        "text": {
                          "defaultText": "string",
                          "localizationKey": "string",
                          "localizedText": "string"
                        },
                        "iconImageUrl": "string",
                        "backgroundStyle": "string",
                        "tooltip": {
                          "text": {
                            "defaultText": "string",
                            "localizationKey": "string",
                            "localizedText": "string"
                          }
                        }
                      },
                      "callout": {
                        "text": {
                          "defaultText": "string",
                          "localizationKey": "string",
                          "localizedText": "string"
                        },
                        "iconImageUrl": "string"
                      },
                      "primaryBackground": {
                        "imageUrl": "string",
                        "backgroundStyle": "string"
                      },
                      "secondaryBackground": {
                        "imageUrl": "string",
                        "backgroundStyle": "string"
                      },
                      "specialIndicator": {
                        "iconImageUrl": "string",
                        "tooltip": {
                          "text": {
                            "defaultText": "string",
                            "localizationKey": "string",
                            "localizedText": "string"
                          }
                        }
                      },
                      "rewardBuff": {
                        "percentage": 0.1,
                        "type": "REWARD_BUFF_TYPE_UNSPECIFIED",
                        "iconImageUrl": "string",
                        "backgroundStyle": "string",
                        "displayPercentage": "string"
                      },
                      "featured": true,
                      "clickAction": "CONTENT_ITEM_CLICK_ACTION_UNSPECIFIED",
                      "badge": {
                        "text": {
                          "defaultText": "string",
                          "localizationKey": "string",
                          "localizedText": "string"
                        }
                      }
                    }
                  ]
                },
                "chain": {
                  "guid": "string",
                  "name": {
                    "defaultText": "string",
                    "localizationKey": "string",
                    "localizedText": "string"
                  },
                  "description": {
                    "defaultText": "string",
                    "localizationKey": "string",
                    "localizedText": "string"
                  },
                  "expiration": "2019-08-24T14:15:22Z",
                  "repeatable": true,
                  "links": [
                    {
                      "guid": "string",
                      "productId": "string",
                      "price": {
                        "amount": {
                          "currency": "string",
                          "cents": 0
                        },
                        "priceId": "string"
                      },
                      "maxPurchasable": 0,
                      "items": [
                        {
                          "guid": "string",
                          "name": {
                            "defaultText": "string",
                            "localizationKey": "string",
                            "localizedText": "string"
                          },
                          "description": {
                            "defaultText": "string",
                            "localizationKey": "string",
                            "localizedText": "string"
                          },
                          "image": "string",
                          "quantity": "string",
                          "unitImage": "string"
                        }
                      ],
                      "status": "CHAIN_LINK_STATUS_UNSPECIFIED",
                      "bundleImage": "string"
                    }
                  ],
                  "banner": {
                    "background": {
                      "imageUrl": "string",
                      "backgroundStyle": "string"
                    },
                    "revealButton": {
                      "text": {
                        "defaultText": "string",
                        "localizationKey": "string",
                        "localizedText": "string"
                      },
                      "iconImageUrl": "string",
                      "backgroundStyle": "string",
                      "tooltip": {
                        "text": {
                          "defaultText": "string",
                          "localizationKey": "string",
                          "localizedText": "string"
                        }
                      }
                    },
                    "leftDecal": {
                      "imageUrl": "string"
                    },
                    "rightDecal": {
                      "imageUrl": "string"
                    }
                  }
                },
                "info": {
                  "guid": "string",
                  "itemId": "string",
                  "type": "NON_PURCHASABLE_ITEM_TYPE_UNSPECIFIED",
                  "title": {
                    "defaultText": "string",
                    "localizationKey": "string",
                    "localizedText": "string"
                  },
                  "body": {
                    "defaultText": "string",
                    "localizationKey": "string",
                    "localizedText": "string"
                  },
                  "attributes": {
                    "background": {
                      "imageUrl": "string",
                      "backgroundStyle": "string"
                    }
                  },
                  "contents": [
                    {
                      "guid": "string",
                      "name": {
                        "defaultText": "string",
                        "localizationKey": "string",
                        "localizedText": "string"
                      },
                      "description": {
                        "defaultText": "string",
                        "localizationKey": "string",
                        "localizedText": "string"
                      },
                      "image": "string",
                      "quantity": "string",
                      "unitImage": "string"
                    }
                  ]
                }
              }
            ],
            "displayType": "CATALOG_GROUP_DISPLAY_TYPE_UNSPECIFIED"
          }
        ]
      }
    ]
  }
}
{
  "code": 0,
  "message": "string",
  "details": [
    {
      "@type": "string",
      "property1": null,
      "property2": null
    }
  ]
}

How is this guide?